#include "../lib/rcsid.h"

RCS_ID("$Header: svn+ssh://kcase.org/Source/svn/kcase/tags/bb/2.6/bb/mail.c 178 2004-05-05 06:09:03Z kc $")

#include "bb.h"

void mail(char *parameter)
{
    user_info *info;
    char id[BUFFER_SIZE];
    char *mail_address;
    char mail_addresses[BUFFER_SIZE] = "", subject[BUFFER_SIZE] = "";
    char mail_command[BUFFER_SIZE], mailer[BUFFER_SIZE];
    char params[BUFFER_SIZE];

    strcpy(params, parameter);
    do_connect();
    do {
	if (!*params && !prompt("To: ", params))
	    return;
	strcpy(id, getword(params));
	if (!(info = client_whois(id))) {
	    fprintf(stderr, "%s: %s\n", id, client_error);
	    return;
	}
	mail_address = *info->mail_address ?
	  info->mail_address : info->last_access_source;
	fprintf(cmdout, "Sending mail to <%s> (%s)\n", id, mail_address);
	if (*mail_addresses)
	    strcat(mail_addresses, " ");
	strcat(mail_addresses, mail_address);
    } while (*params);
    if (index(Mailer, '%')) {
/*  strcpy(subject, getline(params, FALSE)); */
	if ( /* !*subject && */ !prompt("Subject: ", subject))
	    return;
	sprintf(mailer, Mailer, literal(subject));
    } else
	strcpy(mailer, Mailer);
    sprintf(mail_command, "%s %s", mailer, mail_addresses);
    system(mail_command);
}
