#include "../lib/rcsid.h"

RCS_ID("$Header: svn+ssh://kcase.org/Source/svn/kcase/tags/bb/2.6/bb/reset.c 178 2004-05-05 06:09:03Z kc $")

#include "bb.h"

void reset(char *parameter)
{
  int message;

  if((message=get_message_number(parameter, CurrentMessage))==-1) {
    fprintf(stderr, "%s\n", lib_error);
    return;
  }
  if(*parameter) {
    fprintf(stderr, "unexpected input: '%s'\n", parameter);
    return;
  }
  do_connect();
  if(client_setcurrent(message - 1)) {
    CurrentMessage = nearest_vnum(message - 1);
    fprintf(cmdout, "Message pointer reset to #%d in %s\n", message, Roomname);
  } else {
    fprintf(stderr, "%s\n", client_error);
  }
}
