#include "../rcsid.h"

RCS_ID("$Header: svn+ssh://kcase.org/Source/svn/kcase/tags/bb/2.6/lib/client/post.c 263 2005-03-08 06:41:19Z kc $")

#include "header.h"

int client_post(const char *subject, const char *buf, int buf_l)
{
    int code;
    
    block();
    write_server_code(CLIENT_POST);
    read_server_code(&code);
    if (code != SERVER_ACK) {
        unblock();
        return 0;
    }
    write_server(subject, strlen(subject));
    write_server(buf, buf_l);
    read_server_code(&code);
    unblock();
    return code == SERVER_ACK;
}
