#define DEBUG
#include "../server/config.h"
#include "../server/server.h"
#include <ndbm.h>
#include <sys/stat.h>
#include <fcntl.h>

int max_active_slot;
struct client_struct client[MAX_CLIENTS];

extern DBM *user;

main(int argc, char *argv[])
{
  uid uid, last_uid;
  gid gid;
  user_entry *user_info;
  char *flag = "< last uid >";

  chdir(MESSAGEBASE);
  database_init();
  last_uid = get_uid(flag);
  for(uid=0; uid <= last_uid; uid++) {
    if(!(user_info = get_user_entry(uid))) continue;
    for(gid=0; gid <= 1; gid++)
      user_info->group_class[gid] = no_class;
    if(!put_user_entry(uid, user_info))
      printf("database error modifying %d\n", uid);
  }
  database_shutdown();
}
