#include <sys/time.h>
#include "../lib/types.h"
#include "../lib/client.h"
#include "../bbs/config.h"

main(int argc, char *argv[])
{
  int hidden_priority;
  char group[GROUP_SIZE], name[GROUP_SIZE], owner[ID_SIZE];
  class_t default_class;
  priority priority;
  time_t max_expiration;

  if(!server_open(SERVER)) {
    printf("error connecting to server: %s\n", client_error);
    return;
  }
  if(!client_signon("kc", "blegga;", &hidden_priority, FALSE)) {
    printf("error signing on: %s\n", client_error);
    return;
  }
  default_class = read_only;
  priority = -1000000000;
  max_expiration = 30*86400;
  if(client_group_change("unsupported", "", "",
			 &default_class, &priority, &max_expiration)) {
    printf("changed group %s\n", "unsupported");
  } else {
    printf("%s: %s", *argv, client_error);
  }
  if(!client_signoff()) printf("error signing off: %s\n", client_error);
}
