#include "../rcsid.h"

RCS_ID("$Header: svn+ssh://kcase.org/Source/svn/kcase/tags/bb/2.6/lib/client/create.c 178 2004-05-05 06:09:03Z kc $")

#include "header.h"

int client_create(const char *input_room, const char *summary)
{
  int code;
  char room[ROOM_SIZE];

  if(!valid(input_room)) {
    strcpy(client_error, "Invalid room name");
    return 0;
  }
  if(!valid(summary)) {
    strcpy(client_error, "Invalid summary");
    return 0;
  }
  strcpy(room, input_room);
  block();
  write_server_code(CLIENT_CREATE);
  write_socket_string(server_socket, room);
  write_socket_string(server_socket, summary);
  read_server_code(&code);
  unblock();
  return code==SERVER_ACK;
}
