#include "../rcsid.h"

RCS_ID("$Header: svn+ssh://kcase.org/Source/svn/kcase/tags/bb/2.6/lib/client/setmail.c 178 2004-05-05 06:09:03Z kc $")

#include "header.h"

int client_setmail(const char *new_address)
{
    int                 code;

    if (!valid(new_address)) {
	strcpy(client_error, "Invalid address");
	return 0;
    }
    block();
    write_server_code(CLIENT_SETMAIL);
    write_socket_string(server_socket, new_address);
    read_server_code(&code);
    unblock();
    return code == SERVER_ACK;
}
