#include "../server/config.h"
#include "../server/server.h"
#include <ndbm.h>
#include <setjmp.h>

int max_active_slot;
struct client_struct client[MAX_CLIENTS];

main(int argc, char *argv[])
{
  directory_entry room_info;
  int room=412;
  int message;
  message_entry *message_info;

  setlinebuf(stdout);
  setlinebuf(stderr);
  chdir(MESSAGEBASE);
  database_init();
  strcpy(room_info.name,"ghosts*strange");
  room_info.first_message_number = 1;
  room_info.final_message_number = 0;
  for(message=room_info.first_message_number;
      message_info=get_message_entry(room, message);
      message++) {
    if(!message_info->deleted) room_info.final_message_number = message;
  }
  room_info.next_message_number = message;
  room_info.creation_time = time(0);
  GROUP_ZERO(&room_info.groups);
  GROUP_SET(DEFAULT_GROUP,&room_info.groups);
  room_info.default_expiration = DEFAULT_EXPIRATION;
  room_info.default_class = DEFAULT_ROOM_CLASS;
  room_info.owner_uid = 327;
  room_info.priority = DEFAULT_PRIORITY;
  strcpy(room_info.summary_line,"Ghosts and other strange phenomena, e.g. UFOs.");
  if(!put_directory_entry(room, &room_info))
    fprintf(stderr, "can't put %s (%d)\n", room_info.name, room);
  database_shutdown();
}
